Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454152 - dhclient-script ignores SEARCH=dom1 dom2... in ifcfg-eth$n
Summary: dhclient-script ignores SEARCH=dom1 dom2... in ifcfg-eth$n
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: dhcp
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-05 14:33 UTC by Jón Fairbairn
Modified: 2008-09-16 23:21 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-16 23:21:58 UTC


Attachments (Terms of Use)

Description Jón Fairbairn 2008-07-05 14:33:24 UTC
Description of problem:
dhclient-script fails to copy the contents of the SEARCH variable set in 
/etc/sysconfig/network-scripts/ifcfg-eth$n into /etc/resolv.conf

Version-Release number of selected component (if applicable):
dhclient-4.0.0-14.fc9.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Add a line 

SEARCH="mydomain other.domain"

to /etc/sysconfig/network-scripts/ifcfg-eth$n (or
/etc/sysconfig/networking/devices/ifcfg-eth$n or whatever).
system-config-network can be used to do this by entering
"mydomain other.domain" in the "DNS search path" field of
the DNS tab

2. restart the network

3.
  
Actual results:

"search" in /etc/resolv.conf contains only the domain
returned by the dhcp server.

Expected results:
/etc/resolv.conf should have "mydomain other.domain" in the search line

Additional info:

If you are using NetworkManager, setting the search domains
via nm-applet sort-of gets this right, though on my laptop
it seems to have put the search domains in twice at the
moment.  I'm not using NetworkManager on the machine in
question.
This bug affects Bug #183338 -- if system-config-network is reading from
/etc/resolv.conf rather than ifcfg-eth$n, it loses the domains when it writes
the ifcfg file

Comment 1 David Cantrell 2008-08-01 19:47:22 UTC
I've modified the dhclient-script to allow the SEARCH variable in the ifcfg script to override the search path 
provided in the DHCP lease.

An update will be provided as dhcp-4.0.0-17.fc9.

Thanks for the report.

Comment 2 Fedora Update System 2008-08-07 23:58:02 UTC
dhcp-4.0.0-17.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dhcp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-7105

Comment 3 Fedora Update System 2008-09-16 23:21:48 UTC
dhcp-4.0.0-17.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.